#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OptionalTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 17: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 35: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Result
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 24: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Resource
      switch(to) {
        case 25: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Class
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 26: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Entity
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Types::Property
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 28: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Variant
      switch(to) {
        case 29: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 30:   //QBool
      switch(to) {
        case 30: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QObject
      switch(to) {
        case 35: return (void*)(QObject*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 36:   //QRegExp
      switch(to) {
        case 36: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 37:   //QTimerEvent
      switch(to) {
        case 37: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::BindingSet
      switch(to) {
        case 38: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::LanguageTag
      switch(to) {
        case 39: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::LiteralValue
      switch(to) {
        case 40: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Node
      switch(to) {
        case 41: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    22, 0,	// 3: Nepomuk::Query::SimpleTerm
    15, 0,	// 5: Nepomuk::Query::Query
    23, 0,	// 7: Nepomuk::Query::Term
    35, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__QueryParser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OptionalTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OptionalTerm", false, 3, xcall_Nepomuk__Query__OptionalTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OptionalTerm) },	//13
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//14
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//15
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//16
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, xenum_Nepomuk__Query__QueryParser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//17
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//18
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//19
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//20
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//21
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//22
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//23
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//27
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//28
    { "Nepomuk::Variant", true, 0, 0, 0, 0, 0 },	//29
    { "QBool", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QObject", true, 0, 0, 0, 0, 0 },	//35
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//36
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//38
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//39
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//40
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//41
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::AggregateFunction", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//21
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//22
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::Query::OptionalTerm", 13, Smoke::t_class|Smoke::tf_stack },	//27
    { "Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//28
    { "Nepomuk::Query::OptionalTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Nepomuk::Query::OrTerm", 14, Smoke::t_class|Smoke::tf_stack },	//30
    { "Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref },	//31
    { "Nepomuk::Query::OrTerm*", 14, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Nepomuk::Query::Query", 15, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "Nepomuk::Query::Query*", 15, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "Nepomuk::Query::Query::RequestProperty*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Query::Query::SparqlFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Nepomuk::Query::Query::SparqlFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "Nepomuk::Query::QueryParser*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Query::QueryParser::ParserFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Nepomuk::Query::QueryParser::ParserFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "Nepomuk::Query::QueryServiceClient*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Nepomuk::Query::ResourceTerm", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "Nepomuk::Query::ResourceTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Nepomuk::Query::ResourceTypeTerm", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "Nepomuk::Query::ResourceTypeTerm*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref },	//50
    { "Nepomuk::Query::Result*", 21, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Query::SimpleTerm*", 22, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//53
    { "Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref },	//54
    { "Nepomuk::Query::Term*", 23, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Nepomuk::Query::Term::Type", 23, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Nepomuk::Query::TermPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Nepomuk::Resource", 25, Smoke::t_class|Smoke::tf_stack },	//58
    { "Nepomuk::Types::Class", 26, Smoke::t_class|Smoke::tf_stack },	//59
    { "Nepomuk::Types::Property", 28, Smoke::t_class|Smoke::tf_stack },	//60
    { "Nepomuk::Variant", 29, Smoke::t_class|Smoke::tf_stack },	//61
    { "QBool", 30, Smoke::t_class|Smoke::tf_stack },	//62
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QList<Nepomuk::Query::Result>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QObject*", 35, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QRegExp&", 36, Smoke::t_class|Smoke::tf_ref },	//73
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//76
    { "QTimerEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QtValidLicenseForActiveQtModule", 33, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QtValidLicenseForCoreModule", 33, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QtValidLicenseForDBusModule", 33, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QtValidLicenseForDeclarativeModule", 33, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QtValidLicenseForGuiModule", 33, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QtValidLicenseForHelpModule", 33, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QtValidLicenseForMultimediaModule", 33, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QtValidLicenseForNetworkModule", 33, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QtValidLicenseForOpenGLModule", 33, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtValidLicenseForOpenVGModule", 33, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtValidLicenseForQt3SupportLightModule", 33, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QtValidLicenseForQt3SupportModule", 33, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QtValidLicenseForScriptModule", 33, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QtValidLicenseForScriptToolsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QtValidLicenseForSqlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QtValidLicenseForSvgModule", 33, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QtValidLicenseForTestModule", 33, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtValidLicenseForXmlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtValidLicenseForXmlPatternsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Soprano::BindingSet", 38, Smoke::t_class|Smoke::tf_stack },	//169
    { "Soprano::LiteralValue", 40, Smoke::t_class|Smoke::tf_stack },	//170
    { "Soprano::Node", 41, Smoke::t_class|Smoke::tf_stack },	//171
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//172
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//173
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//174
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Nepomuk::Query::QueryParser&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Nepomuk::Query::SimpleTerm&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Nepomuk::Resource&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Nepomuk::Types::Class&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Nepomuk::Types::Entity&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Nepomuk::Types::Property&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//204
    { "const QObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//205
    { "const QRegExp&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const Soprano::BindingSet&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Soprano::LanguageTag&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Soprano::LiteralValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Soprano::Node&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//214
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//215
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//216
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//217
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//218
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//219
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//220
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//221
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    193, 0,	//1  const Nepomuk::Query::Term&
    186, 0,	//3  const Nepomuk::Query::Query&
    178, 0,	//5  const Nepomuk::Query::AndTerm&
    193, 193, 193, 193, 193, 193, 0,	//7  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    201, 0,	//14  const QList<Nepomuk::Query::Term>&
    193, 193, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    193, 193, 193, 0,	//19  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    193, 193, 193, 193, 0,	//23  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    193, 193, 193, 193, 193, 0,	//28  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    179, 0,	//34  const Nepomuk::Query::ComparisonTerm&
    197, 193, 17, 0,	//36  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    17, 0,	//40  Nepomuk::Query::ComparisonTerm::Comparator
    197, 0,	//42  const Nepomuk::Types::Property&
    207, 0,	//44  const QString&
    16, 0,	//46  Nepomuk::Query::ComparisonTerm::AggregateFunction
    216, 131, 0,	//48  int, Qt::SortOrder
    173, 0,	//51  bool
    197, 193, 0,	//53  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    216, 0,	//56  int
    176, 0,	//58  const KUrl&
    177, 0,	//60  const KUrl::List&
    180, 0,	//62  const Nepomuk::Query::FileQuery&
    57, 0,	//64  Nepomuk::Query::TermPrivate*
    57, 193, 193, 193, 193, 193, 193, 0,	//66  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    181, 0,	//74  const Nepomuk::Query::GroupTerm&
    57, 193, 193, 0,	//76  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    57, 193, 193, 193, 0,	//80  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    57, 193, 193, 193, 193, 0,	//85  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    57, 193, 193, 193, 193, 193, 0,	//91  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    182, 0,	//98  const Nepomuk::Query::LiteralTerm&
    211, 0,	//100  const Soprano::LiteralValue&
    183, 0,	//102  const Nepomuk::Query::NegationTerm&
    184, 0,	//104  const Nepomuk::Query::OptionalTerm&
    185, 0,	//106  const Nepomuk::Query::OrTerm&
    187, 0,	//108  const Nepomuk::Query::Query::RequestProperty&
    199, 0,	//110  const QList<Nepomuk::Query::Query::RequestProperty>&
    39, 0,	//112  Nepomuk::Query::Query::SparqlFlags
    197, 173, 0,	//114  const Nepomuk::Types::Property&, bool
    207, 42, 0,	//117  const QString&, Nepomuk::Query::QueryParser::ParserFlags
    188, 0,	//120  const Nepomuk::Query::QueryParser&
    213, 0,	//122  const char*
    213, 213, 0,	//124  const char*, const char*
    213, 213, 216, 0,	//127  const char*, const char*, int
    71, 216, 220, 0,	//131  QMetaObject::Call, int, void**
    72, 0,	//135  QObject*
    186, 174, 0,	//137  const Nepomuk::Query::Query&, bool*
    207, 198, 174, 0,	//140  const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*
    207, 174, 0,	//144  const QString&, bool*
    207, 198, 0,	//147  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    200, 0,	//150  const QList<Nepomuk::Query::Result>&
    202, 0,	//152  const QList<QUrl>&
    189, 0,	//154  const Nepomuk::Query::ResourceTerm&
    194, 0,	//156  const Nepomuk::Resource&
    190, 0,	//158  const Nepomuk::Query::ResourceTypeTerm&
    195, 0,	//160  const Nepomuk::Types::Class&
    194, 215, 0,	//162  const Nepomuk::Resource&, double
    191, 0,	//165  const Nepomuk::Query::Result&
    215, 0,	//167  double
    197, 212, 0,	//169  const Nepomuk::Types::Property&, const Soprano::Node&
    209, 0,	//172  const Soprano::BindingSet&
    192, 0,	//174  const Nepomuk::Query::SimpleTerm&
    64, 0,	//176  QEvent*
    72, 64, 0,	//178  QObject*, QEvent*
    77, 0,	//181  QTimerEvent*
    63, 0,	//183  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Average",	//10
    "Comparison",	//11
    "ComparisonTerm",	//12
    "ComparisonTerm#",	//13
    "ComparisonTerm##",	//14
    "ComparisonTerm##$",	//15
    "Contains",	//16
    "Count",	//17
    "CreateCountQuery",	//18
    "DistinctAverage",	//19
    "DistinctCount",	//20
    "DistinctSum",	//21
    "Equal",	//22
    "FileQuery",	//23
    "FileQuery#",	//24
    "Greater",	//25
    "GreaterOrEqual",	//26
    "GroupTerm",	//27
    "GroupTerm#",	//28
    "GroupTerm###",	//29
    "GroupTerm####",	//30
    "GroupTerm#####",	//31
    "GroupTerm######",	//32
    "GroupTerm#######",	//33
    "HandleInverseProperties",	//34
    "Invalid",	//35
    "LicensedActiveQt",	//36
    "LicensedCore",	//37
    "LicensedDBus",	//38
    "LicensedDeclarative",	//39
    "LicensedGui",	//40
    "LicensedHelp",	//41
    "LicensedMultimedia",	//42
    "LicensedNetwork",	//43
    "LicensedOpenGL",	//44
    "LicensedOpenVG",	//45
    "LicensedQt3Support",	//46
    "LicensedQt3SupportLight",	//47
    "LicensedScript",	//48
    "LicensedScriptTools",	//49
    "LicensedSql",	//50
    "LicensedSvg",	//51
    "LicensedTest",	//52
    "LicensedXml",	//53
    "LicensedXmlPatterns",	//54
    "Literal",	//55
    "LiteralTerm",	//56
    "LiteralTerm#",	//57
    "Max",	//58
    "Min",	//59
    "Negation",	//60
    "NegationTerm",	//61
    "NegationTerm#",	//62
    "NoAggregateFunction",	//63
    "NoFlags",	//64
    "NoParserFlags",	//65
    "Optional",	//66
    "OptionalTerm",	//67
    "OptionalTerm#",	//68
    "Or",	//69
    "OrTerm",	//70
    "OrTerm#",	//71
    "OrTerm##",	//72
    "OrTerm###",	//73
    "OrTerm####",	//74
    "OrTerm#####",	//75
    "OrTerm######",	//76
    "OrTerm?",	//77
    "Q_COMPLEX_TYPE",	//78
    "Q_DUMMY_TYPE",	//79
    "Q_MOVABLE_TYPE",	//80
    "Q_PRIMITIVE_TYPE",	//81
    "Q_STATIC_TYPE",	//82
    "QtCriticalMsg",	//83
    "QtDebugMsg",	//84
    "QtFatalMsg",	//85
    "QtSystemMsg",	//86
    "QtWarningMsg",	//87
    "Query",	//88
    "Query#",	//89
    "QueryParser",	//90
    "QueryParser#",	//91
    "QueryServiceClient",	//92
    "QueryServiceClient#",	//93
    "QueryTermGlobbing",	//94
    "Regexp",	//95
    "RequestProperty",	//96
    "RequestProperty#",	//97
    "RequestProperty#$",	//98
    "Resource",	//99
    "ResourceTerm",	//100
    "ResourceTerm#",	//101
    "ResourceType",	//102
    "ResourceTypeTerm",	//103
    "ResourceTypeTerm#",	//104
    "Result",	//105
    "Result#",	//106
    "Result#$",	//107
    "SimpleTerm",	//108
    "SimpleTerm#",	//109
    "Smaller",	//110
    "SmallerOrEqual",	//111
    "Sum",	//112
    "Term",	//113
    "Term#",	//114
    "__codecvt_error",	//115
    "__codecvt_noconv",	//116
    "__codecvt_ok",	//117
    "__codecvt_partial",	//118
    "addExcludeFolder",	//119
    "addExcludeFolder#",	//120
    "addIncludeFolder",	//121
    "addIncludeFolder#",	//122
    "addRequestProperty",	//123
    "addRequestProperty#",	//124
    "addRequestProperty##",	//125
    "addSubTerm",	//126
    "addSubTerm#",	//127
    "additionalBinding",	//128
    "additionalBinding$",	//129
    "additionalBindings",	//130
    "aggregateFunction",	//131
    "blockingDesktopQuery",	//132
    "blockingDesktopQuery$",	//133
    "blockingQuery",	//134
    "blockingQuery#",	//135
    "blockingSparqlQuery",	//136
    "blockingSparqlQuery$",	//137
    "blockingSparqlQuery$?",	//138
    "childEvent",	//139
    "close",	//140
    "comparator",	//141
    "connectNotify",	//142
    "customEvent",	//143
    "desktopQuery",	//144
    "desktopQuery$",	//145
    "disconnectNotify",	//146
    "entriesRemoved",	//147
    "entriesRemoved?",	//148
    "event",	//149
    "eventFilter",	//150
    "excludeFolders",	//151
    "finishedListing",	//152
    "includeFolders",	//153
    "inverted",	//154
    "isAndTerm",	//155
    "isComparisonTerm",	//156
    "isInverted",	//157
    "isLiteralTerm",	//158
    "isNegationTerm",	//159
    "isOptionalTerm",	//160
    "isOrTerm",	//161
    "isResourceTerm",	//162
    "isResourceTypeTerm",	//163
    "isValid",	//164
    "limit",	//165
    "matchProperty",	//166
    "matchProperty$",	//167
    "metaObject",	//168
    "negateTerm",	//169
    "negateTerm#",	//170
    "newEntries",	//171
    "newEntries?",	//172
    "offset",	//173
    "operator=",	//174
    "operator=#",	//175
    "operator==",	//176
    "operator==#",	//177
    "operator[]",	//178
    "operator[]#",	//179
    "optional",	//180
    "optionalizeTerm",	//181
    "optionalizeTerm#",	//182
    "parse",	//183
    "parse$",	//184
    "parse$$",	//185
    "parseQuery",	//186
    "parseQuery$",	//187
    "property",	//188
    "qHash",	//189
    "qHash#",	//190
    "qt_metacall",	//191
    "qt_metacall$$?",	//192
    "qt_metacast",	//193
    "qt_metacast$",	//194
    "query",	//195
    "query#",	//196
    "requestProperties",	//197
    "requestProperty",	//198
    "requestProperty#",	//199
    "requestPropertyMap",	//200
    "resource",	//201
    "score",	//202
    "serviceAvailable",	//203
    "setAdditionalBindings",	//204
    "setAdditionalBindings#",	//205
    "setAggregateFunction",	//206
    "setAggregateFunction$",	//207
    "setComparator",	//208
    "setComparator$",	//209
    "setExcludeFolders",	//210
    "setExcludeFolders?",	//211
    "setIncludeFolders",	//212
    "setIncludeFolders?",	//213
    "setInverted",	//214
    "setInverted$",	//215
    "setLimit",	//216
    "setLimit$",	//217
    "setOffset",	//218
    "setOffset$",	//219
    "setProperty",	//220
    "setProperty#",	//221
    "setRequestProperties",	//222
    "setRequestProperties?",	//223
    "setResource",	//224
    "setResource#",	//225
    "setScore",	//226
    "setScore$",	//227
    "setSortWeight",	//228
    "setSortWeight$",	//229
    "setSortWeight$$",	//230
    "setSubTerm",	//231
    "setSubTerm#",	//232
    "setSubTerms",	//233
    "setSubTerms?",	//234
    "setTerm",	//235
    "setTerm#",	//236
    "setType",	//237
    "setType#",	//238
    "setValue",	//239
    "setValue#",	//240
    "setVariableName",	//241
    "setVariableName$",	//242
    "sortOrder",	//243
    "sortWeight",	//244
    "sparqlQuery",	//245
    "sparqlQuery$",	//246
    "sparqlQuery$?",	//247
    "staticMetaObject",	//248
    "subTerm",	//249
    "subTerms",	//250
    "syncDesktopQuery",	//251
    "syncDesktopQuery$",	//252
    "syncDesktopQuery$$",	//253
    "syncQuery",	//254
    "syncQuery#",	//255
    "syncQuery#$",	//256
    "syncSparqlQuery",	//257
    "syncSparqlQuery$",	//258
    "syncSparqlQuery$?",	//259
    "syncSparqlQuery$?$",	//260
    "term",	//261
    "timerEvent",	//262
    "toAndTerm",	//263
    "toComparisonTerm",	//264
    "toLiteralTerm",	//265
    "toNegationTerm",	//266
    "toOptionalTerm",	//267
    "toOrTerm",	//268
    "toResourceTerm",	//269
    "toResourceTypeTerm",	//270
    "toSearchUrl",	//271
    "toSearchUrl$",	//272
    "toSparqlQuery",	//273
    "toSparqlQuery$",	//274
    "tr",	//275
    "tr$",	//276
    "tr$$",	//277
    "tr$$$",	//278
    "trUtf8",	//279
    "trUtf8$",	//280
    "trUtf8$$",	//281
    "trUtf8$$$",	//282
    "type",	//283
    "value",	//284
    "variableName",	//285
    "~AndTerm",	//286
    "~ComparisonTerm",	//287
    "~FileQuery",	//288
    "~GroupTerm",	//289
    "~LiteralTerm",	//290
    "~NegationTerm",	//291
    "~OptionalTerm",	//292
    "~OrTerm",	//293
    "~Query",	//294
    "~QueryParser",	//295
    "~QueryServiceClient",	//296
    "~RequestProperty",	//297
    "~ResourceTerm",	//298
    "~ResourceTypeTerm",	//299
    "~Result",	//300
    "~SimpleTerm",	//301
    "~Term",	//302
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 189, 1, 1, Smoke::mf_static, 218, 1},	//1 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 189, 3, 1, Smoke::mf_static, 218, 2},	//2 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//3 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//4 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 7, 6, Smoke::mf_ctor, 12, 3},	//5 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 14, 1, Smoke::mf_ctor, 12, 4},	//6 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 174, 5, 1, 0, 11, 5},	//7 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 2, Smoke::mf_ctor, 12, 6},	//8 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 19, 3, Smoke::mf_ctor, 12, 7},	//9 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 4, Smoke::mf_ctor, 12, 8},	//10 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 28, 5, Smoke::mf_ctor, 12, 9},	//11 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 286, 0, 0, Smoke::mf_dtor, 0, 10 },	//12 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 12, 0, 0, Smoke::mf_ctor, 15, 1},	//13 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 12, 34, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//14 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 12, 36, 3, Smoke::mf_ctor, 15, 3},	//15 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 174, 34, 1, 0, 14, 4},	//16 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 141, 0, 0, Smoke::mf_const, 17, 5},	//17 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 188, 0, 0, Smoke::mf_const, 60, 6},	//18 Nepomuk::Query::ComparisonTerm::property() const
    {8, 208, 40, 1, 0, 0, 7},	//19 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 220, 42, 1, 0, 0, 8},	//20 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 241, 44, 1, 0, 0, 9},	//21 Nepomuk::Query::ComparisonTerm::setVariableName(const QString&)
    {8, 285, 0, 0, Smoke::mf_const, 74, 10},	//22 Nepomuk::Query::ComparisonTerm::variableName() const
    {8, 206, 46, 1, 0, 0, 11},	//23 Nepomuk::Query::ComparisonTerm::setAggregateFunction(Nepomuk::Query::ComparisonTerm::AggregateFunction)
    {8, 131, 0, 0, Smoke::mf_const, 16, 12},	//24 Nepomuk::Query::ComparisonTerm::aggregateFunction() const
    {8, 228, 48, 2, 0, 0, 13},	//25 Nepomuk::Query::ComparisonTerm::setSortWeight(int, Qt::SortOrder)
    {8, 244, 0, 0, Smoke::mf_const, 216, 14},	//26 Nepomuk::Query::ComparisonTerm::sortWeight() const
    {8, 243, 0, 0, Smoke::mf_const, 131, 15},	//27 Nepomuk::Query::ComparisonTerm::sortOrder() const
    {8, 157, 0, 0, Smoke::mf_const, 173, 16},	//28 Nepomuk::Query::ComparisonTerm::isInverted() const
    {8, 214, 51, 1, 0, 0, 17},	//29 Nepomuk::Query::ComparisonTerm::setInverted(bool)
    {8, 154, 0, 0, Smoke::mf_const, 13, 18},	//30 Nepomuk::Query::ComparisonTerm::inverted() const
    {8, 12, 53, 2, Smoke::mf_ctor, 15, 19},	//31 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 228, 56, 1, 0, 0, 20},	//32 Nepomuk::Query::ComparisonTerm::setSortWeight(int)
    {8, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 21},	//33 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 22},	//34 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 23},	//35 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 24},	//36 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 25},	//37 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//38 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//39 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//40 Nepomuk::Query::ComparisonTerm::NoAggregateFunction (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 29},	//41 Nepomuk::Query::ComparisonTerm::Count (enum)
    {8, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 30},	//42 Nepomuk::Query::ComparisonTerm::DistinctCount (enum)
    {8, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 31},	//43 Nepomuk::Query::ComparisonTerm::Max (enum)
    {8, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 32},	//44 Nepomuk::Query::ComparisonTerm::Min (enum)
    {8, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 33},	//45 Nepomuk::Query::ComparisonTerm::Sum (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 34},	//46 Nepomuk::Query::ComparisonTerm::DistinctSum (enum)
    {8, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 35},	//47 Nepomuk::Query::ComparisonTerm::Average (enum)
    {8, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 36},	//48 Nepomuk::Query::ComparisonTerm::DistinctAverage (enum)
    {8, 287, 0, 0, Smoke::mf_dtor, 0, 37 },	//49 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 23, 0, 0, Smoke::mf_ctor, 19, 1},	//50 Nepomuk::Query::FileQuery::FileQuery()
    {9, 23, 3, 1, Smoke::mf_ctor, 19, 2},	//51 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 174, 3, 1, 0, 18, 3},	//52 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 121, 58, 1, 0, 0, 4},	//53 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 212, 60, 1, 0, 0, 5},	//54 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 153, 0, 0, Smoke::mf_const, 8, 6},	//55 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 119, 58, 1, 0, 0, 7},	//56 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 210, 60, 1, 0, 0, 8},	//57 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 151, 0, 0, Smoke::mf_const, 8, 9},	//58 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 23, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 10},	//59 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 288, 0, 0, Smoke::mf_dtor, 0, 11 },	//60 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 250, 0, 0, Smoke::mf_const, 69, 1},	//61 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 233, 14, 1, 0, 0, 2},	//62 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 126, 1, 1, 0, 0, 3},	//63 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 27, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 20, 4},	//64 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 27, 64, 1, Smoke::mf_ctor|Smoke::mf_protected, 20, 5},	//65 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 27, 66, 7, Smoke::mf_ctor|Smoke::mf_protected, 20, 6},	//66 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 74, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 7},	//67 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 27, 76, 3, Smoke::mf_ctor|Smoke::mf_protected, 20, 8},	//68 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 80, 4, Smoke::mf_ctor|Smoke::mf_protected, 20, 9},	//69 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 85, 5, Smoke::mf_ctor|Smoke::mf_protected, 20, 10},	//70 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 91, 6, Smoke::mf_ctor|Smoke::mf_protected, 20, 11},	//71 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 289, 0, 0, Smoke::mf_dtor, 0, 12 },	//72 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 56, 98, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 1},	//73 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 56, 100, 1, Smoke::mf_ctor, 23, 2},	//74 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 174, 98, 1, 0, 22, 3},	//75 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 284, 0, 0, Smoke::mf_const, 170, 4},	//76 Nepomuk::Query::LiteralTerm::value() const
    {11, 239, 100, 1, 0, 0, 5},	//77 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 56, 0, 0, Smoke::mf_ctor, 23, 6},	//78 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 290, 0, 0, Smoke::mf_dtor, 0, 7 },	//79 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 61, 0, 0, Smoke::mf_ctor, 26, 1},	//80 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 61, 102, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//81 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 174, 102, 1, 0, 25, 3},	//82 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 169, 1, 1, Smoke::mf_static, 53, 4},	//83 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 291, 0, 0, Smoke::mf_dtor, 0, 5 },	//84 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 67, 0, 0, Smoke::mf_ctor, 29, 1},	//85 Nepomuk::Query::OptionalTerm::OptionalTerm()
    {13, 67, 104, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 2},	//86 Nepomuk::Query::OptionalTerm::OptionalTerm(const Nepomuk::Query::OptionalTerm&)
    {13, 174, 104, 1, 0, 28, 3},	//87 Nepomuk::Query::OptionalTerm::operator=(const Nepomuk::Query::OptionalTerm&)
    {13, 181, 1, 1, Smoke::mf_static, 53, 4},	//88 Nepomuk::Query::OptionalTerm::optionalizeTerm(const Nepomuk::Query::Term&)
    {13, 292, 0, 0, Smoke::mf_dtor, 0, 5 },	//89 Nepomuk::Query::OptionalTerm::~OptionalTerm()
    {14, 70, 0, 0, Smoke::mf_ctor, 32, 1},	//90 Nepomuk::Query::OrTerm::OrTerm()
    {14, 70, 106, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 2},	//91 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {14, 70, 7, 6, Smoke::mf_ctor, 32, 3},	//92 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 14, 1, Smoke::mf_ctor, 32, 4},	//93 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {14, 174, 106, 1, 0, 31, 5},	//94 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {14, 70, 16, 2, Smoke::mf_ctor, 32, 6},	//95 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 19, 3, Smoke::mf_ctor, 32, 7},	//96 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 23, 4, Smoke::mf_ctor, 32, 8},	//97 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 70, 28, 5, Smoke::mf_ctor, 32, 9},	//98 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 293, 0, 0, Smoke::mf_dtor, 0, 10 },	//99 Nepomuk::Query::OrTerm::~OrTerm()
    {15, 88, 0, 0, Smoke::mf_ctor, 35, 1},	//100 Nepomuk::Query::Query::Query()
    {15, 88, 1, 1, Smoke::mf_ctor, 35, 2},	//101 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {15, 88, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 3},	//102 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {15, 174, 3, 1, 0, 34, 4},	//103 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {15, 174, 1, 1, 0, 34, 5},	//104 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    {15, 164, 0, 0, Smoke::mf_const, 173, 6},	//105 Nepomuk::Query::Query::isValid() const
    {15, 261, 0, 0, Smoke::mf_const, 53, 7},	//106 Nepomuk::Query::Query::term() const
    {15, 165, 0, 0, Smoke::mf_const, 216, 8},	//107 Nepomuk::Query::Query::limit() const
    {15, 173, 0, 0, Smoke::mf_const, 216, 9},	//108 Nepomuk::Query::Query::offset() const
    {15, 235, 1, 1, 0, 0, 10},	//109 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {15, 216, 56, 1, 0, 0, 11},	//110 Nepomuk::Query::Query::setLimit(int)
    {15, 218, 56, 1, 0, 0, 12},	//111 Nepomuk::Query::Query::setOffset(int)
    {15, 123, 108, 1, 0, 0, 13},	//112 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 222, 110, 1, 0, 0, 14},	//113 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {15, 197, 0, 0, Smoke::mf_const, 67, 15},	//114 Nepomuk::Query::Query::requestProperties() const
    {15, 273, 112, 1, Smoke::mf_const, 74, 16},	//115 Nepomuk::Query::Query::toSparqlQuery(Nepomuk::Query::Query::SparqlFlags) const
    {15, 271, 112, 1, Smoke::mf_const, 7, 17},	//116 Nepomuk::Query::Query::toSearchUrl(Nepomuk::Query::Query::SparqlFlags) const
    {15, 200, 0, 0, Smoke::mf_const, 66, 18},	//117 Nepomuk::Query::Query::requestPropertyMap() const
    {15, 176, 3, 1, Smoke::mf_const, 173, 19},	//118 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {15, 273, 0, 0, Smoke::mf_const, 74, 20},	//119 Nepomuk::Query::Query::toSparqlQuery() const
    {15, 271, 0, 0, Smoke::mf_const, 7, 21},	//120 Nepomuk::Query::Query::toSearchUrl() const
    {15, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 22},	//121 Nepomuk::Query::Query::NoFlags (enum)
    {15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 23},	//122 Nepomuk::Query::Query::CreateCountQuery (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 24},	//123 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {15, 294, 0, 0, Smoke::mf_dtor, 0, 25 },	//124 Nepomuk::Query::Query::~Query()
    {16, 96, 114, 2, Smoke::mf_ctor, 37, 1},	//125 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {16, 96, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//126 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {16, 174, 108, 1, 0, 36, 3},	//127 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {16, 176, 108, 1, Smoke::mf_const, 173, 4},	//128 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {16, 188, 0, 0, Smoke::mf_const, 60, 5},	//129 Nepomuk::Query::Query::RequestProperty::property() const
    {16, 180, 0, 0, Smoke::mf_const, 173, 6},	//130 Nepomuk::Query::Query::RequestProperty::optional() const
    {16, 96, 42, 1, Smoke::mf_ctor, 37, 7},	//131 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {16, 297, 0, 0, Smoke::mf_dtor, 0, 8 },	//132 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {17, 90, 0, 0, Smoke::mf_ctor, 40, 1},	//133 Nepomuk::Query::QueryParser::QueryParser()
    {17, 183, 44, 1, Smoke::mf_const, 33, 2},	//134 Nepomuk::Query::QueryParser::parse(const QString&) const
    {17, 183, 117, 2, Smoke::mf_const, 33, 3},	//135 Nepomuk::Query::QueryParser::parse(const QString&, Nepomuk::Query::QueryParser::ParserFlags) const
    {17, 166, 44, 1, Smoke::mf_const, 70, 4},	//136 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {17, 186, 44, 1, Smoke::mf_static, 33, 5},	//137 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {17, 90, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 6},	//138 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {17, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 7},	//139 Nepomuk::Query::QueryParser::NoParserFlags (enum)
    {17, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 8},	//140 Nepomuk::Query::QueryParser::QueryTermGlobbing (enum)
    {17, 295, 0, 0, Smoke::mf_dtor, 0, 9 },	//141 Nepomuk::Query::QueryParser::~QueryParser()
    {18, 168, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 204, 1},	//142 Nepomuk::Query::QueryServiceClient::metaObject() const
    {18, 193, 122, 1, Smoke::mf_virtual, 219, 2},	//143 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {18, 275, 124, 2, Smoke::mf_static, 74, 3},	//144 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {18, 279, 124, 2, Smoke::mf_static, 74, 4},	//145 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {18, 275, 127, 3, Smoke::mf_static, 74, 5},	//146 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {18, 279, 127, 3, Smoke::mf_static, 74, 6},	//147 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {18, 191, 131, 3, Smoke::mf_virtual, 216, 7},	//148 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {18, 92, 135, 1, Smoke::mf_ctor, 43, 8},	//149 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {18, 203, 0, 0, Smoke::mf_static, 173, 9},	//150 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {18, 254, 137, 2, Smoke::mf_static, 68, 10},	//151 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&, bool*)
    {18, 257, 140, 3, Smoke::mf_static, 68, 11},	//152 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*)
    {18, 251, 144, 2, Smoke::mf_static, 68, 12},	//153 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&, bool*)
    {18, 195, 3, 1, Smoke::mf_slot, 173, 13},	//154 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {18, 245, 147, 2, Smoke::mf_slot, 173, 14},	//155 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 144, 44, 1, Smoke::mf_slot, 173, 15},	//156 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {18, 134, 3, 1, Smoke::mf_slot, 173, 16},	//157 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {18, 136, 147, 2, Smoke::mf_slot, 173, 17},	//158 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 132, 44, 1, Smoke::mf_slot, 173, 18},	//159 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {18, 140, 0, 0, Smoke::mf_slot, 0, 19},	//160 Nepomuk::Query::QueryServiceClient::close()
    {18, 171, 150, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//161 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {18, 147, 152, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//162 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {18, 152, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//163 Nepomuk::Query::QueryServiceClient::finishedListing()
    {18, 275, 122, 1, Smoke::mf_static, 74, 23},	//164 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {18, 279, 122, 1, Smoke::mf_static, 74, 24},	//165 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {18, 92, 0, 0, Smoke::mf_ctor, 43, 25},	//166 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {18, 254, 3, 1, Smoke::mf_static, 68, 26},	//167 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&)
    {18, 257, 44, 1, Smoke::mf_static, 68, 27},	//168 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&)
    {18, 257, 147, 2, Smoke::mf_static, 68, 28},	//169 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 251, 44, 1, Smoke::mf_static, 68, 29},	//170 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&)
    {18, 245, 44, 1, Smoke::mf_slot, 173, 30},	//171 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {18, 136, 44, 1, Smoke::mf_slot, 173, 31},	//172 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {18, 248, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 203, 32},	//173 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {18, 296, 0, 0, Smoke::mf_dtor, 0, 33 },	//174 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {19, 100, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 1},	//175 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {19, 100, 156, 1, Smoke::mf_ctor, 46, 2},	//176 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {19, 174, 154, 1, 0, 45, 3},	//177 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {19, 201, 0, 0, Smoke::mf_const, 58, 4},	//178 Nepomuk::Query::ResourceTerm::resource() const
    {19, 224, 156, 1, 0, 0, 5},	//179 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {19, 100, 0, 0, Smoke::mf_ctor, 46, 6},	//180 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {19, 298, 0, 0, Smoke::mf_dtor, 0, 7 },	//181 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {20, 103, 158, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 1},	//182 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 103, 160, 1, Smoke::mf_ctor, 49, 2},	//183 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {20, 174, 158, 1, 0, 48, 3},	//184 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 283, 0, 0, Smoke::mf_const, 59, 4},	//185 Nepomuk::Query::ResourceTypeTerm::type() const
    {20, 237, 160, 1, 0, 0, 5},	//186 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {20, 103, 0, 0, Smoke::mf_ctor, 49, 6},	//187 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {20, 299, 0, 0, Smoke::mf_dtor, 0, 7 },	//188 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {21, 105, 0, 0, Smoke::mf_ctor, 51, 1},	//189 Nepomuk::Query::Result::Result()
    {21, 105, 162, 2, Smoke::mf_ctor, 51, 2},	//190 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {21, 105, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 3},	//191 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {21, 174, 165, 1, 0, 50, 4},	//192 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {21, 202, 0, 0, Smoke::mf_const, 215, 5},	//193 Nepomuk::Query::Result::score() const
    {21, 201, 0, 0, Smoke::mf_const, 58, 6},	//194 Nepomuk::Query::Result::resource() const
    {21, 226, 167, 1, 0, 0, 7},	//195 Nepomuk::Query::Result::setScore(double)
    {21, 123, 169, 2, 0, 0, 8},	//196 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {21, 197, 0, 0, Smoke::mf_const, 65, 9},	//197 Nepomuk::Query::Result::requestProperties() const
    {21, 178, 42, 1, Smoke::mf_const, 171, 10},	//198 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {21, 198, 42, 1, Smoke::mf_const, 171, 11},	//199 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {21, 204, 172, 1, 0, 0, 12},	//200 Nepomuk::Query::Result::setAdditionalBindings(const Soprano::BindingSet&)
    {21, 130, 0, 0, Smoke::mf_const, 169, 13},	//201 Nepomuk::Query::Result::additionalBindings() const
    {21, 128, 44, 1, Smoke::mf_const, 61, 14},	//202 Nepomuk::Query::Result::additionalBinding(const QString&) const
    {21, 176, 165, 1, Smoke::mf_const, 173, 15},	//203 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {21, 105, 156, 1, Smoke::mf_ctor, 51, 16},	//204 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {21, 300, 0, 0, Smoke::mf_dtor, 0, 17 },	//205 Nepomuk::Query::Result::~Result()
    {22, 249, 0, 0, Smoke::mf_const, 53, 1},	//206 Nepomuk::Query::SimpleTerm::subTerm() const
    {22, 231, 1, 1, 0, 0, 2},	//207 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {22, 108, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 52, 3},	//208 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {22, 108, 64, 1, Smoke::mf_ctor|Smoke::mf_protected, 52, 4},	//209 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {22, 108, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 5},	//210 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {22, 301, 0, 0, Smoke::mf_dtor, 0, 6 },	//211 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {23, 113, 0, 0, Smoke::mf_ctor, 55, 1},	//212 Nepomuk::Query::Term::Term()
    {23, 113, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 2},	//213 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {23, 174, 1, 1, 0, 54, 3},	//214 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {23, 164, 0, 0, Smoke::mf_const, 173, 4},	//215 Nepomuk::Query::Term::isValid() const
    {23, 283, 0, 0, Smoke::mf_const, 56, 5},	//216 Nepomuk::Query::Term::type() const
    {23, 158, 0, 0, Smoke::mf_const, 173, 6},	//217 Nepomuk::Query::Term::isLiteralTerm() const
    {23, 162, 0, 0, Smoke::mf_const, 173, 7},	//218 Nepomuk::Query::Term::isResourceTerm() const
    {23, 159, 0, 0, Smoke::mf_const, 173, 8},	//219 Nepomuk::Query::Term::isNegationTerm() const
    {23, 160, 0, 0, Smoke::mf_const, 173, 9},	//220 Nepomuk::Query::Term::isOptionalTerm() const
    {23, 155, 0, 0, Smoke::mf_const, 173, 10},	//221 Nepomuk::Query::Term::isAndTerm() const
    {23, 161, 0, 0, Smoke::mf_const, 173, 11},	//222 Nepomuk::Query::Term::isOrTerm() const
    {23, 156, 0, 0, Smoke::mf_const, 173, 12},	//223 Nepomuk::Query::Term::isComparisonTerm() const
    {23, 163, 0, 0, Smoke::mf_const, 173, 13},	//224 Nepomuk::Query::Term::isResourceTypeTerm() const
    {23, 265, 0, 0, Smoke::mf_const, 21, 14},	//225 Nepomuk::Query::Term::toLiteralTerm() const
    {23, 269, 0, 0, Smoke::mf_const, 44, 15},	//226 Nepomuk::Query::Term::toResourceTerm() const
    {23, 266, 0, 0, Smoke::mf_const, 24, 16},	//227 Nepomuk::Query::Term::toNegationTerm() const
    {23, 267, 0, 0, Smoke::mf_const, 27, 17},	//228 Nepomuk::Query::Term::toOptionalTerm() const
    {23, 263, 0, 0, Smoke::mf_const, 10, 18},	//229 Nepomuk::Query::Term::toAndTerm() const
    {23, 268, 0, 0, Smoke::mf_const, 30, 19},	//230 Nepomuk::Query::Term::toOrTerm() const
    {23, 264, 0, 0, Smoke::mf_const, 13, 20},	//231 Nepomuk::Query::Term::toComparisonTerm() const
    {23, 270, 0, 0, Smoke::mf_const, 47, 21},	//232 Nepomuk::Query::Term::toResourceTypeTerm() const
    {23, 265, 0, 0, 0, 22, 22},	//233 Nepomuk::Query::Term::toLiteralTerm()
    {23, 269, 0, 0, 0, 45, 23},	//234 Nepomuk::Query::Term::toResourceTerm()
    {23, 266, 0, 0, 0, 25, 24},	//235 Nepomuk::Query::Term::toNegationTerm()
    {23, 267, 0, 0, 0, 28, 25},	//236 Nepomuk::Query::Term::toOptionalTerm()
    {23, 263, 0, 0, 0, 11, 26},	//237 Nepomuk::Query::Term::toAndTerm()
    {23, 268, 0, 0, 0, 31, 27},	//238 Nepomuk::Query::Term::toOrTerm()
    {23, 264, 0, 0, 0, 14, 28},	//239 Nepomuk::Query::Term::toComparisonTerm()
    {23, 270, 0, 0, 0, 48, 29},	//240 Nepomuk::Query::Term::toResourceTypeTerm()
    {23, 176, 1, 1, Smoke::mf_const, 173, 30},	//241 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {23, 113, 64, 1, Smoke::mf_ctor|Smoke::mf_protected, 55, 31},	//242 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {23, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 32},	//243 Nepomuk::Query::Term::Invalid (enum)
    {23, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 33},	//244 Nepomuk::Query::Term::Literal (enum)
    {23, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 34},	//245 Nepomuk::Query::Term::Resource (enum)
    {23, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 35},	//246 Nepomuk::Query::Term::And (enum)
    {23, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 36},	//247 Nepomuk::Query::Term::Or (enum)
    {23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 37},	//248 Nepomuk::Query::Term::Comparison (enum)
    {23, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 38},	//249 Nepomuk::Query::Term::ResourceType (enum)
    {23, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 39},	//250 Nepomuk::Query::Term::Negation (enum)
    {23, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 56, 40},	//251 Nepomuk::Query::Term::Optional (enum)
    {23, 302, 0, 0, Smoke::mf_dtor, 0, 41 },	//252 Nepomuk::Query::Term::~Term()
    {33, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 1},	//253 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {33, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 2},	//254 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {33, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 3},	//255 QGlobalSpace::Q_STATIC_TYPE (enum)
    {33, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 4},	//256 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {33, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 5},	//257 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 6},	//258 QGlobalSpace::LicensedGui (enum)
    {33, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 7},	//259 QGlobalSpace::LicensedXml (enum)
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 8},	//260 QGlobalSpace::LicensedQt3SupportLight (enum)
    {33, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 9},	//261 QGlobalSpace::LicensedScript (enum)
    {33, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 10},	//262 QGlobalSpace::LicensedOpenVG (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 11},	//263 QGlobalSpace::LicensedDBus (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 12},	//264 QGlobalSpace::LicensedTest (enum)
    {33, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 13},	//265 QGlobalSpace::LicensedActiveQt (enum)
    {33, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 14},	//266 QGlobalSpace::LicensedScriptTools (enum)
    {33, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 15},	//267 QGlobalSpace::LicensedSvg (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 16},	//268 QGlobalSpace::LicensedDeclarative (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 17},	//269 QGlobalSpace::LicensedSql (enum)
    {33, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 18},	//270 QGlobalSpace::LicensedOpenGL (enum)
    {33, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 19},	//271 QGlobalSpace::LicensedCore (enum)
    {33, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 20},	//272 QGlobalSpace::QtDebugMsg (enum)
    {33, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 21},	//273 QGlobalSpace::QtWarningMsg (enum)
    {33, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 22},	//274 QGlobalSpace::QtCriticalMsg (enum)
    {33, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 23},	//275 QGlobalSpace::QtFatalMsg (enum)
    {33, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 24},	//276 QGlobalSpace::QtSystemMsg (enum)
    {33, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 25},	//277 QGlobalSpace::LicensedHelp (enum)
    {33, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 26},	//278 QGlobalSpace::LicensedMultimedia (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 27},	//279 QGlobalSpace::LicensedQt3Support (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 28},	//280 QGlobalSpace::LicensedXmlPatterns (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 29},	//281 QGlobalSpace::LicensedNetwork (enum)
    {33, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 30},	//282 QGlobalSpace::__codecvt_ok (enum)
    {33, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 31},	//283 QGlobalSpace::__codecvt_partial (enum)
    {33, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 32},	//284 QGlobalSpace::__codecvt_error (enum)
    {33, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 33},	//285 QGlobalSpace::__codecvt_noconv (enum)
    {35, 149, 176, 1, Smoke::mf_virtual, 173, 0},	//286 QObject::event(QEvent*)
    {35, 150, 178, 2, Smoke::mf_virtual, 173, 0},	//287 QObject::eventFilter(QObject*, QEvent*)
    {35, 262, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//288 QObject::timerEvent(QTimerEvent*)
    {35, 139, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//289 QObject::childEvent(QChildEvent*)
    {35, 143, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//290 QObject::customEvent(QEvent*)
    {35, 142, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//291 QObject::connectNotify(const char*)
    {35, 146, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//292 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    51,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    59,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    191,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    204,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    208,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    209,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    210,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    64,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    65,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    67,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
    182,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    183,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
    101,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    102,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    103,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    104,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    0,
    213,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    242,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    229,  // Nepomuk::Query::Term::toAndTerm() const
    237,  // Nepomuk::Query::Term::toAndTerm()
    0,
    231,  // Nepomuk::Query::Term::toComparisonTerm() const
    239,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    225,  // Nepomuk::Query::Term::toLiteralTerm() const
    233,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    227,  // Nepomuk::Query::Term::toNegationTerm() const
    235,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    228,  // Nepomuk::Query::Term::toOptionalTerm() const
    236,  // Nepomuk::Query::Term::toOptionalTerm()
    0,
    230,  // Nepomuk::Query::Term::toOrTerm() const
    238,  // Nepomuk::Query::Term::toOrTerm()
    0,
    226,  // Nepomuk::Query::Term::toResourceTerm() const
    234,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    232,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    240,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    1,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    2,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
    126,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    131,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    175,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    176,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
    73,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    74,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 190, -51},	// Nepomuk::Query::qHash#
    {7, 2, 3},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 4},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 8},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 9},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 10},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 11},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 5},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 6},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 175, 7},	// Nepomuk::Query::AndTerm::operator=#
    {7, 286, 12},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 10, 47},	// Nepomuk::Query::ComparisonTerm::Average
    {8, 12, 13},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 13, 14},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 14, 31},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 15, 15},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 16, 33},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 41},	// Nepomuk::Query::ComparisonTerm::Count
    {8, 19, 48},	// Nepomuk::Query::ComparisonTerm::DistinctAverage
    {8, 20, 42},	// Nepomuk::Query::ComparisonTerm::DistinctCount
    {8, 21, 46},	// Nepomuk::Query::ComparisonTerm::DistinctSum
    {8, 22, 35},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 25, 36},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 26, 38},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 58, 43},	// Nepomuk::Query::ComparisonTerm::Max
    {8, 59, 44},	// Nepomuk::Query::ComparisonTerm::Min
    {8, 63, 40},	// Nepomuk::Query::ComparisonTerm::NoAggregateFunction
    {8, 95, 34},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 110, 37},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 111, 39},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 112, 45},	// Nepomuk::Query::ComparisonTerm::Sum
    {8, 131, 24},	// Nepomuk::Query::ComparisonTerm::aggregateFunction
    {8, 141, 17},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 154, 30},	// Nepomuk::Query::ComparisonTerm::inverted
    {8, 157, 28},	// Nepomuk::Query::ComparisonTerm::isInverted
    {8, 175, 16},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 188, 18},	// Nepomuk::Query::ComparisonTerm::property
    {8, 207, 23},	// Nepomuk::Query::ComparisonTerm::setAggregateFunction$
    {8, 209, 19},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 215, 29},	// Nepomuk::Query::ComparisonTerm::setInverted$
    {8, 221, 20},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 229, 32},	// Nepomuk::Query::ComparisonTerm::setSortWeight$
    {8, 230, 25},	// Nepomuk::Query::ComparisonTerm::setSortWeight$$
    {8, 242, 21},	// Nepomuk::Query::ComparisonTerm::setVariableName$
    {8, 243, 27},	// Nepomuk::Query::ComparisonTerm::sortOrder
    {8, 244, 26},	// Nepomuk::Query::ComparisonTerm::sortWeight
    {8, 285, 22},	// Nepomuk::Query::ComparisonTerm::variableName
    {8, 287, 49},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 23, 50},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 24, -1},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 120, 56},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 122, 53},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 151, 58},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 153, 55},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 175, 52},	// Nepomuk::Query::FileQuery::operator=#
    {9, 211, 57},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 213, 54},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 288, 60},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 28, -11},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 29, 68},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 30, 69},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 31, 70},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 32, 71},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 33, 66},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 127, 63},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 234, 62},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 250, 61},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 289, 72},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 56, 78},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 57, -60},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 175, 75},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 240, 77},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 284, 76},	// Nepomuk::Query::LiteralTerm::value
    {11, 290, 79},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 61, 80},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 62, 81},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 170, 83},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 175, 82},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 291, 84},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 67, 85},	// Nepomuk::Query::OptionalTerm::OptionalTerm
    {13, 68, 86},	// Nepomuk::Query::OptionalTerm::OptionalTerm#
    {13, 175, 87},	// Nepomuk::Query::OptionalTerm::operator=#
    {13, 182, 88},	// Nepomuk::Query::OptionalTerm::optionalizeTerm#
    {13, 292, 89},	// Nepomuk::Query::OptionalTerm::~OptionalTerm
    {14, 70, 90},	// Nepomuk::Query::OrTerm::OrTerm
    {14, 71, 91},	// Nepomuk::Query::OrTerm::OrTerm#
    {14, 72, 95},	// Nepomuk::Query::OrTerm::OrTerm##
    {14, 73, 96},	// Nepomuk::Query::OrTerm::OrTerm###
    {14, 74, 97},	// Nepomuk::Query::OrTerm::OrTerm####
    {14, 75, 98},	// Nepomuk::Query::OrTerm::OrTerm#####
    {14, 76, 92},	// Nepomuk::Query::OrTerm::OrTerm######
    {14, 77, 93},	// Nepomuk::Query::OrTerm::OrTerm?
    {14, 175, 94},	// Nepomuk::Query::OrTerm::operator=#
    {14, 293, 99},	// Nepomuk::Query::OrTerm::~OrTerm
    {15, 18, 122},	// Nepomuk::Query::Query::CreateCountQuery
    {15, 34, 123},	// Nepomuk::Query::Query::HandleInverseProperties
    {15, 64, 121},	// Nepomuk::Query::Query::NoFlags
    {15, 88, 100},	// Nepomuk::Query::Query::Query
    {15, 89, -18},	// Nepomuk::Query::Query::Query#
    {15, 124, 112},	// Nepomuk::Query::Query::addRequestProperty#
    {15, 164, 105},	// Nepomuk::Query::Query::isValid
    {15, 165, 107},	// Nepomuk::Query::Query::limit
    {15, 173, 108},	// Nepomuk::Query::Query::offset
    {15, 175, -21},	// Nepomuk::Query::Query::operator=#
    {15, 177, 118},	// Nepomuk::Query::Query::operator==#
    {15, 197, 114},	// Nepomuk::Query::Query::requestProperties
    {15, 200, 117},	// Nepomuk::Query::Query::requestPropertyMap
    {15, 217, 110},	// Nepomuk::Query::Query::setLimit$
    {15, 219, 111},	// Nepomuk::Query::Query::setOffset$
    {15, 223, 113},	// Nepomuk::Query::Query::setRequestProperties?
    {15, 236, 109},	// Nepomuk::Query::Query::setTerm#
    {15, 261, 106},	// Nepomuk::Query::Query::term
    {15, 271, 120},	// Nepomuk::Query::Query::toSearchUrl
    {15, 272, 116},	// Nepomuk::Query::Query::toSearchUrl$
    {15, 273, 119},	// Nepomuk::Query::Query::toSparqlQuery
    {15, 274, 115},	// Nepomuk::Query::Query::toSparqlQuery$
    {15, 294, 124},	// Nepomuk::Query::Query::~Query
    {16, 97, -54},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {16, 98, 125},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {16, 175, 127},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {16, 177, 128},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {16, 180, 130},	// Nepomuk::Query::Query::RequestProperty::optional
    {16, 188, 129},	// Nepomuk::Query::Query::RequestProperty::property
    {16, 297, 132},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {17, 65, 139},	// Nepomuk::Query::QueryParser::NoParserFlags
    {17, 90, 133},	// Nepomuk::Query::QueryParser::QueryParser
    {17, 91, 138},	// Nepomuk::Query::QueryParser::QueryParser#
    {17, 94, 140},	// Nepomuk::Query::QueryParser::QueryTermGlobbing
    {17, 167, 136},	// Nepomuk::Query::QueryParser::matchProperty$
    {17, 184, 134},	// Nepomuk::Query::QueryParser::parse$
    {17, 185, 135},	// Nepomuk::Query::QueryParser::parse$$
    {17, 187, 137},	// Nepomuk::Query::QueryParser::parseQuery$
    {17, 295, 141},	// Nepomuk::Query::QueryParser::~QueryParser
    {18, 92, 166},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {18, 93, 149},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {18, 133, 159},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {18, 135, 157},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {18, 137, 172},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {18, 138, 158},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {18, 140, 160},	// Nepomuk::Query::QueryServiceClient::close
    {18, 145, 156},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {18, 148, 162},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {18, 152, 163},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {18, 168, 142},	// Nepomuk::Query::QueryServiceClient::metaObject
    {18, 172, 161},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {18, 192, 148},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {18, 194, 143},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {18, 196, 154},	// Nepomuk::Query::QueryServiceClient::query#
    {18, 203, 150},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {18, 246, 171},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {18, 247, 155},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {18, 248, 173},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {18, 252, 170},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$
    {18, 253, 153},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$$
    {18, 255, 167},	// Nepomuk::Query::QueryServiceClient::syncQuery#
    {18, 256, 151},	// Nepomuk::Query::QueryServiceClient::syncQuery#$
    {18, 258, 168},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$
    {18, 259, 169},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?
    {18, 260, 152},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?$
    {18, 276, 164},	// Nepomuk::Query::QueryServiceClient::tr$
    {18, 277, 144},	// Nepomuk::Query::QueryServiceClient::tr$$
    {18, 278, 146},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {18, 280, 165},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {18, 281, 145},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {18, 282, 147},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {18, 296, 174},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {19, 100, 180},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {19, 101, -57},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {19, 175, 177},	// Nepomuk::Query::ResourceTerm::operator=#
    {19, 201, 178},	// Nepomuk::Query::ResourceTerm::resource
    {19, 225, 179},	// Nepomuk::Query::ResourceTerm::setResource#
    {19, 298, 181},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {20, 103, 187},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {20, 104, -15},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {20, 175, 184},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {20, 238, 186},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {20, 283, 185},	// Nepomuk::Query::ResourceTypeTerm::type
    {20, 299, 188},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {21, 105, 189},	// Nepomuk::Query::Result::Result
    {21, 106, -4},	// Nepomuk::Query::Result::Result#
    {21, 107, 190},	// Nepomuk::Query::Result::Result#$
    {21, 125, 196},	// Nepomuk::Query::Result::addRequestProperty##
    {21, 129, 202},	// Nepomuk::Query::Result::additionalBinding$
    {21, 130, 201},	// Nepomuk::Query::Result::additionalBindings
    {21, 175, 192},	// Nepomuk::Query::Result::operator=#
    {21, 177, 203},	// Nepomuk::Query::Result::operator==#
    {21, 179, 198},	// Nepomuk::Query::Result::operator[]#
    {21, 197, 197},	// Nepomuk::Query::Result::requestProperties
    {21, 199, 199},	// Nepomuk::Query::Result::requestProperty#
    {21, 201, 194},	// Nepomuk::Query::Result::resource
    {21, 202, 193},	// Nepomuk::Query::Result::score
    {21, 205, 200},	// Nepomuk::Query::Result::setAdditionalBindings#
    {21, 227, 195},	// Nepomuk::Query::Result::setScore$
    {21, 300, 205},	// Nepomuk::Query::Result::~Result
    {22, 109, -7},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {22, 232, 207},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {22, 249, 206},	// Nepomuk::Query::SimpleTerm::subTerm
    {22, 301, 211},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {23, 1, 246},	// Nepomuk::Query::Term::And
    {23, 11, 248},	// Nepomuk::Query::Term::Comparison
    {23, 35, 243},	// Nepomuk::Query::Term::Invalid
    {23, 55, 244},	// Nepomuk::Query::Term::Literal
    {23, 60, 250},	// Nepomuk::Query::Term::Negation
    {23, 66, 251},	// Nepomuk::Query::Term::Optional
    {23, 69, 247},	// Nepomuk::Query::Term::Or
    {23, 99, 245},	// Nepomuk::Query::Term::Resource
    {23, 102, 249},	// Nepomuk::Query::Term::ResourceType
    {23, 113, 212},	// Nepomuk::Query::Term::Term
    {23, 114, -24},	// Nepomuk::Query::Term::Term#
    {23, 155, 221},	// Nepomuk::Query::Term::isAndTerm
    {23, 156, 223},	// Nepomuk::Query::Term::isComparisonTerm
    {23, 158, 217},	// Nepomuk::Query::Term::isLiteralTerm
    {23, 159, 219},	// Nepomuk::Query::Term::isNegationTerm
    {23, 160, 220},	// Nepomuk::Query::Term::isOptionalTerm
    {23, 161, 222},	// Nepomuk::Query::Term::isOrTerm
    {23, 162, 218},	// Nepomuk::Query::Term::isResourceTerm
    {23, 163, 224},	// Nepomuk::Query::Term::isResourceTypeTerm
    {23, 164, 215},	// Nepomuk::Query::Term::isValid
    {23, 175, 214},	// Nepomuk::Query::Term::operator=#
    {23, 177, 241},	// Nepomuk::Query::Term::operator==#
    {23, 263, -27},	// Nepomuk::Query::Term::toAndTerm
    {23, 264, -30},	// Nepomuk::Query::Term::toComparisonTerm
    {23, 265, -33},	// Nepomuk::Query::Term::toLiteralTerm
    {23, 266, -36},	// Nepomuk::Query::Term::toNegationTerm
    {23, 267, -39},	// Nepomuk::Query::Term::toOptionalTerm
    {23, 268, -42},	// Nepomuk::Query::Term::toOrTerm
    {23, 269, -45},	// Nepomuk::Query::Term::toResourceTerm
    {23, 270, -48},	// Nepomuk::Query::Term::toResourceTypeTerm
    {23, 283, 216},	// Nepomuk::Query::Term::type
    {23, 302, 252},	// Nepomuk::Query::Term::~Term
    {33, 36, 265},	// QGlobalSpace::LicensedActiveQt
    {33, 37, 271},	// QGlobalSpace::LicensedCore
    {33, 38, 263},	// QGlobalSpace::LicensedDBus
    {33, 39, 268},	// QGlobalSpace::LicensedDeclarative
    {33, 40, 258},	// QGlobalSpace::LicensedGui
    {33, 41, 277},	// QGlobalSpace::LicensedHelp
    {33, 42, 278},	// QGlobalSpace::LicensedMultimedia
    {33, 43, 281},	// QGlobalSpace::LicensedNetwork
    {33, 44, 270},	// QGlobalSpace::LicensedOpenGL
    {33, 45, 262},	// QGlobalSpace::LicensedOpenVG
    {33, 46, 279},	// QGlobalSpace::LicensedQt3Support
    {33, 47, 260},	// QGlobalSpace::LicensedQt3SupportLight
    {33, 48, 261},	// QGlobalSpace::LicensedScript
    {33, 49, 266},	// QGlobalSpace::LicensedScriptTools
    {33, 50, 269},	// QGlobalSpace::LicensedSql
    {33, 51, 267},	// QGlobalSpace::LicensedSvg
    {33, 52, 264},	// QGlobalSpace::LicensedTest
    {33, 53, 259},	// QGlobalSpace::LicensedXml
    {33, 54, 280},	// QGlobalSpace::LicensedXmlPatterns
    {33, 78, 253},	// QGlobalSpace::Q_COMPLEX_TYPE
    {33, 79, 257},	// QGlobalSpace::Q_DUMMY_TYPE
    {33, 80, 256},	// QGlobalSpace::Q_MOVABLE_TYPE
    {33, 81, 254},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {33, 82, 255},	// QGlobalSpace::Q_STATIC_TYPE
    {33, 83, 274},	// QGlobalSpace::QtCriticalMsg
    {33, 84, 272},	// QGlobalSpace::QtDebugMsg
    {33, 85, 275},	// QGlobalSpace::QtFatalMsg
    {33, 86, 276},	// QGlobalSpace::QtSystemMsg
    {33, 87, 273},	// QGlobalSpace::QtWarningMsg
    {33, 115, 284},	// QGlobalSpace::__codecvt_error
    {33, 116, 285},	// QGlobalSpace::__codecvt_noconv
    {33, 117, 282},	// QGlobalSpace::__codecvt_ok
    {33, 118, 283},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();
SMOKE_IMPORT void init_nepomuk_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    init_soprano_Smoke();
    init_nepomuk_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 41,
        __smokenepomukquery::methods, 293,
        __smokenepomukquery::methodMaps, 264,
        __smokenepomukquery::methodNames, 302,
        __smokenepomukquery::types, 221,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
